libsigc++ 2.99.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
sigc::retype_return_functor< T_return, T_functor > Struct Template Reference
Adaptors » retype(), retype_return()

Adaptor that performs a C-style cast on the return value of a functor. More...

`#include <sigc++/adaptors/retype_return.h>`

Inheritance diagram for sigc::retype_return_functor< T_return, T_functor >:
[legend]

## Public Member Functions
| retype_return_functor ()=default
| retype_return_functor (type_trait_take_t< T_functor > functor)
| Constructs a retype_return_functor object that perform a C-style cast on the return value of the passed functor. More...
T_return | operator() ()
template<typename... T_arg>
T_return | operator() (T_arg&&...a)
Public Member Functions inherited from sigc::adapts< T_functor >
| adapts (const T_functor& functor)
| Constructs an adaptor that wraps the passed functor. More...

## Additional Inherited Members
Public Attributes inherited from sigc::adapts< T_functor >
adaptor_type | functor_
| Adaptor that is invoked from operator()(). More...

## Detailed Description

### template<typename T_return, typename T_functor>
struct sigc::retype_return_functor< T_return, T_functor >

Adaptor that performs a C-style cast on the return value of a functor.

Use the convenience function sigc::retype_return() to create an instance of retype_return_functor.

The following template arguments are used:

- T_return Target type of the C-style cast.
- T_functor Type of the functor to wrap.

## Constructor & Destructor Documentation

template <typename T_return , typename T_functor >

sigc::retype_return_functor< T_return, T_functor >::retype_return_functor | ( |  | ) |
| default

template <typename T_return , typename T_functor >

sigc::retype_return_functor< T_return, T_functor >::retype_return_functor | ( | type_trait_take_t< T_functor > | functor | ) |
| inline explicit

Constructs a retype_return_functor object that perform a C-style cast on the return value of the passed functor.

Parameters

  functor | Functor to invoke from operator()().

## Member Function Documentation

template <typename T_return , typename T_functor >

T_return sigc::retype_return_functor< T_return, T_functor >::operator() | ( |  | ) |

template <typename T_return , typename T_functor >
template <typename... T_arg>

T_return sigc::retype_return_functor< T_return, T_functor >::operator() | ( | T_arg &&... | a | ) |
| inline